### Name: dMatrix-class
### Title: (Virtual) Class "dMatrix" of "double" Matrices
### Aliases: dMatrix-class lMatrix-class show,dMatrix-method
###   coerce,dMatrix,matrix-method coerce,dMatrix,lMatrix-method
###   coerce,lMatrix,dMatrix-method coerce,lMatrix,dgCMatrix-method
###   [,dMatrix,lMatrix,missing,ANY-method
###   [,dMatrix,logical,missing,ANY-method Arith,dMatrix,dMatrix-method
###   Math2,dMatrix,numeric-method Math2,dMatrix,missing-method
###   Summary,dMatrix-method Compare,dMatrix,dMatrix-method
###   Compare,dMatrix,numeric-method Compare,numeric,dMatrix-method
###   round,dMatrix,numeric-method signif,dMatrix,numeric-method
###   log,dMatrix-method gamma,dMatrix-method lgamma,dMatrix-method
###   zapsmall,dMatrix-method crossprod,dMatrix,integer-method
###   crossprod,integer,dMatrix-method solve,dMatrix,integer-method
###   \%*\%,dMatrix,integer-method \%*\%,integer,dMatrix-method
### Keywords: classes algebra

### ** Examples

 showClass("dMatrix")

 set.seed(101)
 round(Matrix(rnorm(28), 4,7), 2)
 (M <- zapsmall(Matrix(rlnorm(56, sd=10), 4,14)))
 table(as.logical(M == 0))



