### Name: dtCMatrix-class
### Title: Triangular, (compressed) sparse column matrices
### Aliases: dtCMatrix-class dtTMatrix-class
###   coerce,dtCMatrix,dgCMatrix-method coerce,dtCMatrix,dgeMatrix-method
###   coerce,dtCMatrix,dgTMatrix-method coerce,dtCMatrix,dtTMatrix-method
###   coerce,dtCMatrix,dtrMatrix-method coerce,dtCMatrix,ltCMatrix-method
###   coerce,dtCMatrix,ntCMatrix-method
###   coerce,dtCMatrix,TsparseMatrix-method
###   coerce,dtTMatrix,dgTMatrix-method coerce,dtTMatrix,dgeMatrix-method
###   coerce,dtTMatrix,dtCMatrix-method coerce,dtTMatrix,dtrMatrix-method
###   coerce,dtTMatrix,ltTMatrix-method coerce,dtTMatrix,ntTMatrix-method
###   coerce,dtTMatrix,matrix-method coerce,matrix,dtCMatrix-method
###   coerce,matrix,dtTMatrix-method solve,dtCMatrix,matrix-method
###   solve,dtCMatrix,dgeMatrix-method solve,dtCMatrix,missing-method
###   solve,dtCMatrix,numeric-method t,dtCMatrix-method t,dtTMatrix-method
### Keywords: classes algebra

### ** Examples

showClass("dtCMatrix")

showClass("dtTMatrix")
t1 <- new("dtTMatrix", x= c(3,7), i= 0:1, j=3:2, Dim= as.integer(c(4,4)))
t1
## from  0-diagonal to unit-diagonal {low-level step}:
tu <- t1 ; tu@diag <- "U"
tu
(cu <- as(tu, "dtCMatrix"))
str(cu)# only two entries in @i and @x



